# Class DuckDBTimestampTZ

java.lang.Object
org.duckdb.DuckDBTimestamp
org.duckdb.DuckDBTimestampTZ

public class DuckDBTimestampTZ extends DuckDBTimestamp

## Field Summary

### Fields inherited from class org.duckdb.DuckDBTimestamp

`timeMicros`

## Constructor Summary

Constructors
Constructor
Description
`DuckDBTimestampTZ(long timeMicros)`
`DuckDBTimestampTZ(OffsetDateTime offsetDateTime)`

## Method Summary

### Methods inherited from class org.duckdb.DuckDBTimestamp

`fromMicroInstant, fromMilliInstant, fromNanoInstant, fromSecondInstant, getMicroseconds, getMicrosEpoch, localDateTime2Micros, toLocalDateTime, toLocalDateTime, toOffsetDateTime, toOffsetDateTime, toOffsetTime, toSqlTimestamp, toSqlTimestamp, toSqlTimestampNanos, toString, valueOf`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### DuckDBTimestampTZ

public DuckDBTimestampTZ(long timeMicros)

### DuckDBTimestampTZ

public DuckDBTimestampTZ(OffsetDateTime offsetDateTime)